---
title: 'Document: touchend event'
slug: Web/API/Document/touchend_event
tags:
  - API
  - Event
  - Reference
  - Touch Events
  - TouchEvent
  - UI
  - UI Events
  - UX
  - ontouchend
  - touch
  - touchend
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <code>touchend</code> event fires when one or more touch points are removed from the touch surface.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TouchEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{ domxref("GlobalEventHandlers.ontouchend","ontouchend")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Code samples for those events are available on the dedicated page: <a href="/en-US/docs/Web/API/Touch_events">Touch events</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#event-touchend')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.touchend_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>This event on {{domxref("Element")}} targets: {{domxref("Element/touchend_event", "touchend")}}</li>
</ul>
